import { Returnable } from './common';
/**
 * Convert a simple callback-taking function to an async stream.
 *
 * Example:
 * ```js
 * const animationFrames = wrapRequest(window.requestAnimationFrame);
 * ```
 *
 */
declare const wrapRequest: <A, B>(request: (callback: (value: A) => void) => B, onReturn?: ((request?: B | undefined) => void) | undefined) => Returnable<A>;
export default wrapRequest;
